#include <stdio.h>
#include "ES_Configure.h"
#include "ES_Framework.h"
#include "C32_PINDEFS.h"
#include "ADS12.h"

void main( void) {
ES_Return_t ErrorType;

// When doing testing, it is usefull to annouce just which program
// is running.
puts("ME 218c -- Team 13: Enchantment Under the Sea \r");
puts("Starting COACH program... \n\r");
//puts(__TIME__ " " __DATE__);

// Your hardware initialization function calls go here
DDRT = ( TAG_OUT_LED );
PTT &= ~TAG_OUT_LED;
DDRM = ( XBEE_PIC_SS | MOSI | SCK );
PTM |= XBEE_PIC_SS; // start XBee PIC slave select HI
ADS12_Init("OIAAAAAA");
PTAD |= SHIFT_REGISTER_SS; // start shift register slave select HI

PTT |= TAG_OUT_LED; // light up tag out LED to test

// now initialize the Events and Services Framework and start it running
ErrorType = ES_Initialize(ES_Timer_RATE_1MS);
if ( ErrorType == Success ) {

  ErrorType = ES_Run();

}
//if we got to here, there was an error
switch (ErrorType){
  case FailedPost:
    puts("Failed on attempt to Post");
    break;
  case FailedPointer:
    puts("Failed on NULL pointer");
    break;
  case FailedInit:
    puts("Failed Initialization");
    break;
 default:
    puts("Other Failure");
    break;
}
for(;;)
  ;

};

/*------------------------------- Footnotes -------------------------------*/
/*------------------------------ End of file ------------------------------*/
